## cascading.tuple.hadoop.io
Class TuplePairSerializer

    java.lang.Object
      cascading.tuple.hadoop.io.TuplePairSerializer

All Implemented Interfaces:
  Serializer<TuplePair>

    public class TuplePairSerializer

extends Object

Constructor Summary
`TuplePairSerializer(TupleSerialization.SerializationElementWriter elementWriter)`

Method Summary
`void` `close()`
`void` `open(OutputStream out)`
`void` `serialize(TuplePair tuple)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TuplePairSerializer

    public TuplePairSerializer(TupleSerialization.SerializationElementWriter elementWriter)

Method Detail

### serialize

    public void serialize(TuplePair tuple)
                   throws IOException

  Throws:
    `IOException`

### open

    public void open(OutputStream out)

  Specified by:
    `open` in interface `Serializer<T>`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Serializer<T>`
  Throws:
    `IOException`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.